Skip to content

Results are limited to the current section: Cloud services

Product news

Get Public Devices

GET
/api/v1/devices
curl --request GET \
--url 'https://example.com/api/v1/devices?order_by=created_at&order_by_direction=ASC&limit=100&offset=0'

Return the list of all devices for a non-authenticated user.

order_by
Order By
string
default: created_at
order_by_direction
SortDirection
string
default: DESC
Allowed values: ASC DESC
limit
Limit
integer
default: 100 > 0 < 101
offset
Offset
integer
0
device_type
Any of:
Array<string>
Allowed values: EMU_FREE EMU_SV EMU_TN EMU_C FRESNEL FRESNEL_CAN1 FRESNEL_SA1 FRESNEL8 EMU_FRESNEL FRESNEL_RD EMU_MPS

Filter devices by type. Omit to skip filter.

availability
Any of:
Array<string>
Allowed values: ACTIVE INACTIVE RETIRED

Filter devices by availability status. Omit to skip filter.

public
Any of:
boolean

Filter devices by public visibility. Omit to skip filter.

Successful Response

Media typeapplication/json
HeaderPaginatedResponse[ProducedDeviceResponse]
object
status
JSendStatus
string
default: success
Allowed values: success fail error
message
Message
string
default: OK.
code
Code
string
default: 200
data
required
Data
Array
pagination
required
JSendPagination

Pagination information

object
total
required
Total
integer
start
required
Start
integer
end
required
End
integer
Example
{
"status": "success",
"message": "OK.",
"code": "200"
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}